@echo off
:: Launch NXcustom
:: Last Modified: 1Jul2010

:: Edit this line to show NX release number
set NX_NUMBER=NX75

:: Edit this line for Routing units (set to metric or inch)
set UGII_ROUTING_KIT_UNITS=metric

:: Should Routing Administrative files be loaded from Teamcenter
set UGII_ROUTE_UGMANAGER_MODE=FALSE

if %NX_NUMBER%==NX4 set NX_VERSION=V22.0
if %NX_NUMBER%==NX5 set NX_VERSION=V23.0
if %NX_NUMBER%==NX6 set NX_VERSION=V24.0
if %NX_NUMBER%==NX7 set NX_VERSION=V25.0
if %NX_NUMBER%==NX75 set NX_VERSION=V25.5

:: **** DO NOT EDIT THE FOLLOWING LINES (start) ****
:: Determine where NX is installed
set rk=hklm\software\Unigraphics Solutions\Installed Applications
if /i "%PROCESSOR_ARCHITECTURE%"=="AMD64" set rk=hklm\software\wow6432node\Unigraphics Solutions\Installed Applications
if /i "%PROCESSOR_ARCHITEW6432%"=="AMD64" set rk=hklm\software\wow6432node\Unigraphics Solutions\Installed Applications
for /f "tokens=3,* usebackq" %%h in (`reg query "%rk%" /v "Unigraphics %NX_VERSION%" ^| findstr /i %NX_VERSION%` ) do (set str1=%%~dpi) 
set UGII_BASE_DIR=%str1:\ugii\=%
set str1=
set UGII_ROOT_DIR=%UGII_BASE_DIR%\ugii\
:: Determine location of NXcustom folder
set NX_CUSTOM_DIR=%~dp0
set NX_CUSTOM_DIR=%NX_CUSTOM_DIR:~0,-1%
:: Customer Defaults Folder Location (create and verify CustomerDefaults\USERNAME folder)
set NX_CUSTOMER_DEFAULTS_DIR=%NX_CUSTOM_DIR%\CustomerDefaults
if not exist "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" mkdir "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" 
if not exist "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" ( 
echo Could not create the "%USERNAME%" folder 
echo Check permissions or existence of %NX_CUSTOMER_DEFAULTS_DIR% folder 
pause 
exit /b
)

:: **** DO NOT EDIT THE PREVIOUS LINES (end) ****

:: Group Customer Defaults
set UGII_GROUP_DIR=%NX_CUSTOMER_DEFAULTS_DIR%\Group1

:: Custom Environment Variable File
set UGII_ENV_FILE=%NX_CUSTOM_DIR%\%NX_NUMBER%env.dat

:: Set Bundle Name Environment Variable
:: set UGS_LICENSE_BUNDLE=

:: set HOME=%HOMEDRIVE%%HOMEPATH%\NX

echo **************** MSP %NX_NUMBER% Customization ***************
set NX_CUSTOM_DIR
set UGII_ROOT_DIR
set UGII_GROUP_DIR
set UGII_ROUTING_KIT_UNITS
echo ******************************************************

:: start "%NX_NUMBER%" <== Add this to start of command to hide console window
:: Start NX (remove the :: from only one of the NX lines below)

:: Starts individual NX sessions (Use file type: NXcustom\NX.bat -retrieve:"%1")
:: start "%NX_NUMBER%" "%UGII_ROOT_DIR%\ugraf" %*

:: Uses one NX session (Use file type: NXcustom\NX.bat -use_file_dir "%1")
"%UGII_ROOT_DIR%\ugs_router" -message="Starting %NX_NUMBER%" -ug -version=%NX_VERSION% %*

:: "%UGII_ROOT_DIR%\ugraf" -retrieve:%UGII_TEMP_DIR%\%username%_last_context.plmxml
@echo on
