@echo off
:: Launch CAM Express using NXcustom
:: Last Modified: 2Dec2009

:: *** Edit this line to where Solid Edge is located
set SE_DIR=C:\PLM\Solid Edge ST2\Program

:: Edit this line to show NX release number
set NX_NUMBER=NX75

if %NX_NUMBER%==NX4 set NX_VERSION=V22.0
if %NX_NUMBER%==NX5 set NX_VERSION=V23.0
if %NX_NUMBER%==NX6 set NX_VERSION=V24.0
if %NX_NUMBER%==NX7 set NX_VERSION=V25.0
if %NX_NUMBER%==NX75 set NX_VERSION=V25.5

:: **** DO NOT EDIT THE FOLLOWING LINES (start) ****
:: Determine where NX is installed
for /f "eol=! skip=4 tokens=3,* usebackq" %%h in (`reg query "hklm\software\Unigraphics Solutions\Installed Applications" /v "Unigraphics %NX_VERSION%"` ) do (set str1=%%~dpi)
set UGII_BASE_DIR=%str1:\ugii\=%
set str1=
set UGII_ROOT_DIR=%UGII_BASE_DIR%\ugii\
:: Determine location of NXcustom folder
set NX_CUSTOM_DIR=%~dp0
set NX_CUSTOM_DIR=%NX_CUSTOM_DIR:~0,-1%
:: Customer Defaults Folder Location (create and verify CustomerDefaults\USERNAME folder)
set NX_CUSTOMER_DEFAULTS_DIR=%NX_CUSTOM_DIR%\CustomerDefaults
if not exist "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" mkdir "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" 
if not exist "%NX_CUSTOMER_DEFAULTS_DIR%\%USERNAME%" ( 
echo Could not create the "%USERNAME%" folder 
echo Check permissions or existence of %NX_CUSTOMER_DEFAULTS_DIR% folder 
pause 
exit /b
)
:: **** DO NOT EDIT THE PREVIOUS LINES (end) ****

:: Custom Environment Variable File
set UGII_ENV_FILE=%NX_CUSTOM_DIR%\%NX_NUMBER%env.dat

:: Start-up Role
set UGII_DEFAULT_ROLE=cam_express.mtx

:: Set Bundle Environment Variable
:: set UGII_FLEX_BUNDLE=

:: set HOME=%HOMEDRIVE%%HOMEPATH%\NX

echo ******** MSP %NX_NUMBER% CAM Express Customization *******
set SE_DIR
set NX_CUSTOM_DIR
set UGII_ROOT_DIR
echo ******************************************************

:: Start Solid Edge
"%SE_DIR%\Edge.exe" *
@echo on